ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Levy Lambert <anto...@gmx.de>
Subject Re: Ivy problem with substituting version from pom in url
Date Sat, 17 Jan 2015 23:01:41 GMT
Hello Travis,

if you alter a POM file in your repository without altering its checksums such as the .sha1
file, this triggers this error.

I am not using ivy very much myself these days, I wonder whether you can define the variable
kie.version in your ivy settings file, or pass it as a system property in your build ?

Regards,

Antoine
On Jan 16, 2015, at 1:20 PM, Travis Schmidt <travis.schmidt@gmail.com> wrote:

> Thanks for your response.  Any help with is appreciated.  I tried altering
> the parent pom in our repo just removing the placeholder with the specific
> version we expect.  That caused this error though now
> 
> invalid sha1: expected=bdacec5c2aff452637f14e46fdbce15e7395323b
> computed=603ebaf68ad72cc1343d2caf215c73a53138d1e5 (597ms)
> 
> Thanks
> Travis
> 
> On Fri Jan 16 2015 at 12:04:28 PM Matignon, Patrice <
> patrice.matignon@sap.com> wrote:
> 
>> It would appear that the parent pom for JBoss 6.1.0.Final, can't be
>> located. You should inspect that pom and try to see why the parent can't be
>> located.
>> [ivy:resolve] io problem while parsing ivy file:
>> http://ap-serv-j:8081/nexus/content/groups/public/org/
>> drools/drools-multiproject/6.1.0.Final/drools-multiproject-6.1.0.Final.pom
>> (java.io.IOException: Impossible to load parent for
>> file:/home/tschmidt/.ivy2/cache/org.drools/drools-
>> multiproject/ivy-6.1.0.Final.xml.original.
>> Parent=org.kie#kie-parent-with-dependencies;6.1.0.Final)
>> [ivy:resolve] io problem while parsing ivy file:
>> http://ap-serv-j:8081/nexus/content/groups/public/org/
>> drools/drools-core/6.1.0.Final/drools-core-6.1.0.Final.pom
>> (java.io.IOException: Impossible to load parent for
>> file:/home/tschmidt/.ivy2/cache/org.drools/drools-core/
>> ivy-6.1.0.Final.xml.original.
>> Parent=org.drools#drools-multiproject;6.1.0.Final)
>> 
>> So the problem is not so much with locating JBoss than its parent pom.
>> More specifically, there seems to be a missing property:
>> [ivy:resolve]
>> http://ap-serv-j:8081/nexus/content/groups/public/org/kie/
>> kie-bom/${kie.version}/kie-bom-${kie.version}.pom
>> [ivy:resolve]   -- artifact org.kie#kie-bom;${kie.version}!kie-bom.jar:
>> [ivy:resolve]
>> http://ap-serv-j:8081/nexus/content/groups/public/org/kie/
>> kie-bom/${kie.version}/kie-bom-${kie.version}.jar
>> 
>> Normally you wouldn't expect published pom's to have property placeholders
>> unless the property value is also provided in the pom. Not sure why that is
>> not the case here, but it's possibly a publishing error.
>> Maybe you could try setting that property if you know the value and can
>> alter the published pom's in your repo.
>> 
>> - P.
>> 
>> -----Original Message-----
>> From: Travis Schmidt [mailto:]
>> Sent: Friday, January 16, 2015 10:48 AM
>> To: dev@ant.apache.org
>> Subject: Ivy problem with substituting version from pom in url
>> 
>> I am running into this issue and I am not sure if it is a problem in Ivy or
>> an issue in the projects pom in Maven repo
>> 
>> [ivy:resolve] io problem while parsing ivy file:
>> http://ap-serv-j:8081/nexus/content/groups/public/org/kie/
>> kie-parent-with-dependencies/6.1.0.Final/kie-parent-with-
>> dependencies-6.1.0.Final.pom
>> (java.io.IOException: Impossible to import module for
>> file:/home/tschmidt/.ivy2/cache/org.kie/kie-parent-with-
>> dependencies/ivy-6.1.0.Final.xml.original.
>> Import=org.kie#kie-bom;${kie.version})
>> [ivy:resolve] io problem while parsing ivy file:
>> http://ap-serv-j:8081/nexus/content/groups/public/org/
>> drools/drools-multiproject/6.1.0.Final/drools-multiproject-6.1.0.Final.pom
>> (java.io.IOException: Impossible to load parent for
>> file:/home/tschmidt/.ivy2/cache/org.drools/drools-
>> multiproject/ivy-6.1.0.Final.xml.original.
>> Parent=org.kie#kie-parent-with-dependencies;6.1.0.Final)
>> [ivy:resolve] io problem while parsing ivy file:
>> http://ap-serv-j:8081/nexus/content/groups/public/org/
>> drools/drools-core/6.1.0.Final/drools-core-6.1.0.Final.pom
>> (java.io.IOException: Impossible to load parent for
>> file:/home/tschmidt/.ivy2/cache/org.drools/drools-core/
>> ivy-6.1.0.Final.xml.original.
>> Parent=org.drools#drools-multiproject;6.1.0.Final)
>> [ivy:resolve] module not found: org.drools#drools-core;6.1.0.Final
>> [ivy:resolve] ==== nexus: tried
>> [ivy:resolve]
>> http://ap-serv-j:8081/nexus/content/groups/public/org/kie/
>> kie-bom/${kie.version}/kie-bom-${kie.version}.pom
>> [ivy:resolve]   -- artifact org.kie#kie-bom;${kie.version}!kie-bom.jar:
>> [ivy:resolve]
>> http://ap-serv-j:8081/nexus/content/groups/public/org/kie/
>> kie-bom/${kie.version}/kie-bom-${kie.version}.jar
>> [ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:resolve] ::          UNRESOLVED DEPENDENCIES         ::
>> [ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:resolve] :: org.drools#drools-core;6.1.0.Final: not found
>> [ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
>> 
>> Any guidance is appreciated
>> 
>> Travis
>> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message